
max_hor_grid=7;
max_ver_grid=10;
mean_q=zeros(10,7);


subplot (1,2,1)
imagesc(mean_q','YData', [10 1])

subplot (1,2,2)
hold on
for hor_grid=1:max_hor_grid+1
    plot([0 max_ver_grid],[hor_grid-1 hor_grid-1],'LineWidth', 1, 'color', 'r');
end
for ver_grid=1:max_ver_grid+1
    plot([ver_grid-1 ver_grid-1],[0 max_hor_grid],'LineWidth', 1, 'color', 'r');
end
%plot([0 10],[5 5],'LineWidth', 3, 'color', 'k');
%plot([1.2 8.8],[0.5 0.5],'LineWidth', 25, 'color', 'k');
hold off
axis ([-0.5 10.5 -0.5 8])
t1 = text(7.3, 3.7, 0,  'R','VerticalAlignment','top','FontSize',20);
t2 = text(3.7, 1.5, 0,'WIND 1','Rotation', -90, 'VerticalAlignment','top','FontSize',14, ...
    'FontWeight','Bold','Color','k');
t3 = text(4.7, 1.5, 0,'WIND 1','Rotation', -90, 'VerticalAlignment','top','FontSize',14, ...
    'FontWeight','Bold','Color','k');
t4 = text(5.7, 1.5, 0,'WIND 1','Rotation', -90, 'VerticalAlignment','top','FontSize',14, ...
    'FontWeight','Bold','Color','k');
t5 = text(6.7, 1.5, 0,'WIND 2','Rotation', -90, 'VerticalAlignment','top','FontSize',14, ...
    'FontWeight','Bold','Color','k');
t6 = text(7.7, 1.5, 0,'WIND 2','Rotation', -90, 'VerticalAlignment','top','FontSize',14, ...
    'FontWeight','Bold','Color','k');
t7 = text(8.7, 1.5, 0,'WIND 1','Rotation', -90, 'VerticalAlignment','top','FontSize',14, ...
    'FontWeight','Bold','Color','k');
%display coordinates of the agent
t10 = text(0.5,7.5,0, ['coordinates: ', num2str([c1(1) c2(1)])], 'VerticalAlignment','top','FontSize',18);
t11 = text(6.5,7.5,0, ['reward: ', num2str(rew(1,1))], 'VerticalAlignment','top','FontSize',18);
set(gca,'YTick',[])
set(gca,'XTick',[])
